Debian Bug report logs - #574671
FTBFS: "/tmp/buildd/php5-5.3.2/pear-build-download" is not writeable

version graph

Package: php-pear; Maintainer for php-pear is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php-pear is src:php5.

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sat, 20 Mar 2010 00:27:05 UTC

Severity: important

Tags: security, sid, squeeze, wheezy

Merged with 546164

Found in versions 5.2.10.dfsg.1-2.2, 5.2.11.dsfg.1-1

Fixed in version php5/5.3.6-1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://pear.php.net/bugs/18056

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#574671; Package php-log. (Sat, 20 Mar 2010 00:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Sat, 20 Mar 2010 00:27:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS: "/tmp/buildd/php5-5.3.2/pear-build-download" is not writeable
Date: Sat, 20 Mar 2010 01:26:12 +0100
[Message part 1 (text/plain, inline)]
Package: php-log
Version: 1.10.0-1
Severity: serious
Justification: FTBFS in a chroot

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

While looking at #572265 I found that the package doesn't build in my
sid cowbuilder i386 chroot.

Relevant lines:

# install everything in default locations
/usr/bin/pear \
                -c debian/pearrc \
                -d include_path=/usr/share/php \
                -d php_bin=/usr/bin/php \
                -d bin_dir=/usr/bin \
                -d php_dir=/usr/share/php \
                -d data_dir=/usr/share/php/data \
                -d doc_dir=/usr/share/php/docs \
                -d test_dir=/usr/share/php/tests \
                install --offline --nodeps -P /tmp/php-log/php-log-1.10.0/debian/php-log/ Log-1.10.0/package.xml

Warning: Invalid argument supplied for foreach() in PEAR/Downloader/Package.php on line 168
PHP Warning:  Invalid argument supplied for foreach() in /usr/share/php/PEAR/Downloader/Package.php on line 168
download directory "/tmp/buildd/php5-5.3.2/pear-build-download" is not writeable.  Change download_dir config variable to a writeable dir
Cannot download non-local package "Log-1.10.0/package.xml"
install failed
make: *** [common-install-indep] Error 1
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2


Complete log attached.


Cheers,
gregor


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLpBYiAAoJELs6aAGGSaoGXrYQAINUtU87+iMZTOC3T5luhY6a
IehKCWI25FG6u77jeWCpoOBXNISky9ED6P1zvtnWHOI40qEKMSVYR6TFGYpu6X76
priq1nMSdoZdZLMdTmTgBXmUeSH9ImXa5i2+YnBwYz9b4F1kaRz5J50GK0tskr3Q
ic838ffckHfAhz5uCSXBoU5JRxNefxbrsJqfpAgiFLNEcmM9Er23M/f4vM8KbRii
OonSlR632uru3MqbBJr0csoUPtnvPR+xbGJatIgZMsCY+3g+lN/5sHzus8nLi6+9
mmYuSoer5kqYuyFbrc2P5rwtVVFX7qx883UAoA0uVWIFOI55NPLg8Gfrxl9uRhr0
I0joxwMvusXrDeOEiRI5rp/BqWXBNjujzymIszs3U2CftdIxbuxi2uSMw4sDN5lY
zEaWiSg6CWPfv65S3o2I6j9c3xzgcSUMicsWEY8q39VD2raN6yobAxYdeR4/3iZ6
cIcE37iYE0TqtCf+LgZMXM9SmGbVefxeoQ4y/mFdygjl7GZyGB4Umm/fUum9Rxgw
P12bdL196SzjQCjKtfOFkHqZz1O4FgtePqvkV2JmIRY75M2ARRz3lq0RM2VWDbdX
DqeFIvFVUP/pbIchYv2oMztfJS3AFL0/Kbm4cVTcltW6ZB7MkRm71A5UBqD3yrd6
PmPboDZ21OHKLhO2lSrS
=ZqT6
-----END PGP SIGNATURE-----
[php-log_1.10.0-1_i386.build (text/plain, attachment)]

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 22 Mar 2010 08:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#574671; Package php-log. (Wed, 24 Mar 2010 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Wed, 24 Mar 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #12 received at 574671@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: 574671@bugs.debian.org
Cc: gregoa@debian.org
Subject: Re: FTBFS: "/tmp/buildd/php5-5.3.2/pear-build-download" is not writeable
Date: Wed, 24 Mar 2010 21:49:35 +0100
[Message part 1 (text/plain, inline)]
Hi,

I'm working #572265 on new upstream release 1.12.0 and i can't reproduce
at the moment the problem either with 1.10.0 and 1.12.0 with pbuilder.

-- 
Guillaume Delacour
[php-log_1.12.0-1_i386.build (text/plain, inline)]
W: /home/gui/.pbuilderrc does not exist
I: using fakeroot in build.
I: Current time: Wed Mar 24 20:41:44 UTC 2010
I: pbuilder-time-stamp: 1269463304
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/base.tgz]
I: creating local configuration
I: copying local configuration
I: mounting /proc filesystem
I: mounting /dev/pts filesystem
I: policy-rc.d already exists
I: Obtaining the cached apt archive contents
I: Installing the build-deps
 -> Attempting to satisfy build-dependencies
 -> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: i386
Maintainer: Debian Pbuilder Team <pbuilder-maint@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by pbuilder
 This package was created automatically by pbuilder and should
Depends: debhelper (>= 7), dh-make-php (>= 0.2.3), cdbs
dpkg-deb: building package `pbuilder-satisfydepends-dummy' in `/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Reading package lists...
Building dependency tree...
Reading state information...
aptitude is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Selecting previously deselected package pbuilder-satisfydepends-dummy.
(Reading database ... 12233 files and directories currently installed.)
Unpacking pbuilder-satisfydepends-dummy (from .../pbuilder-satisfydepends-dummy.deb) ...
dpkg: dependency problems prevent configuration of pbuilder-satisfydepends-dummy:
 pbuilder-satisfydepends-dummy depends on debhelper (>= 7); however:
  Package debhelper is not installed.
 pbuilder-satisfydepends-dummy depends on dh-make-php (>= 0.2.3); however:
  Package dh-make-php is not installed.
 pbuilder-satisfydepends-dummy depends on cdbs; however:
  Package cdbs is not installed.
dpkg: error processing pbuilder-satisfydepends-dummy (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 pbuilder-satisfydepends-dummy
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Initializing package states... Done
Writing extended state information... Done
Reading task descriptions... Done         
The following NEW packages will be installed:
  cdbs{a} debhelper{a} dh-make-php{a} file{a} gettext{a} gettext-base{a} html2text{a} intltool-debian{a} libcroco3{a} libglib2.0-0{a} libgssapi-krb5-2{a} libk5crypto3{a} libkeyutils1{a} 
  libkrb5-3{a} libkrb5support0{a} libmagic1{a} libonig2{a} libpcre3{a} libqdbm14{a} libxml2{a} mime-support{a} php-pear{a} php5-cli{a} php5-common{a} po-debconf{a} ucf{a} 
The following partially installed packages will be configured:
  pbuilder-satisfydepends-dummy 
The following packages are RECOMMENDED but will NOT be installed:
  autopoint autotools-dev libglib2.0-data libmail-sendmail-perl php5-suhosin shared-mime-info xml-core 
0 packages upgraded, 26 newly installed, 0 to remove and 0 not upgraded.
Need to get 5959kB/11.8MB of archives. After unpacking 33.4MB will be used.
Writing extended state information... Done
[...]
Fetched 5959kB in 0s (6343kB/s)
Preconfiguring packages ...
Selecting previously deselected package libmagic1.
(Reading database ... 12233 files and directories currently installed.)
Unpacking libmagic1 (from .../libmagic1_5.04-1_i386.deb) ...
Selecting previously deselected package file.
Unpacking file (from .../archives/file_5.04-1_i386.deb) ...
Selecting previously deselected package html2text.
Unpacking html2text (from .../html2text_1.3.2a-14_i386.deb) ...
Selecting previously deselected package libpcre3.
Unpacking libpcre3 (from .../libpcre3_7.8-3_i386.deb) ...
Selecting previously deselected package libglib2.0-0.
Unpacking libglib2.0-0 (from .../libglib2.0-0_2.22.4-1_i386.deb) ...
Selecting previously deselected package libxml2.
Unpacking libxml2 (from .../libxml2_2.7.7.dfsg-1_i386.deb) ...
Selecting previously deselected package libcroco3.
Unpacking libcroco3 (from .../libcroco3_0.6.2-1_i386.deb) ...
Selecting previously deselected package gettext-base.
Unpacking gettext-base (from .../gettext-base_0.17-10_i386.deb) ...
Selecting previously deselected package gettext.
Unpacking gettext (from .../gettext_0.17-10_i386.deb) ...
Selecting previously deselected package intltool-debian.
Unpacking intltool-debian (from .../intltool-debian_0.35.0+20060710.1_all.deb) ...
Selecting previously deselected package po-debconf.
Unpacking po-debconf (from .../po-debconf_1.0.16_all.deb) ...
Selecting previously deselected package debhelper.
Unpacking debhelper (from .../debhelper_7.4.15_all.deb) ...
Selecting previously deselected package libkeyutils1.
Unpacking libkeyutils1 (from .../libkeyutils1_1.3-1_i386.deb) ...
Selecting previously deselected package libkrb5support0.
Unpacking libkrb5support0 (from .../libkrb5support0_1.8+dfsg~alpha1-7_i386.deb) ...
Selecting previously deselected package libk5crypto3.
Unpacking libk5crypto3 (from .../libk5crypto3_1.8+dfsg~alpha1-7_i386.deb) ...
Selecting previously deselected package libkrb5-3.
Unpacking libkrb5-3 (from .../libkrb5-3_1.8+dfsg~alpha1-7_i386.deb) ...
Selecting previously deselected package libgssapi-krb5-2.
Unpacking libgssapi-krb5-2 (from .../libgssapi-krb5-2_1.8+dfsg~alpha1-7_i386.deb) ...
Selecting previously deselected package libonig2.
Unpacking libonig2 (from .../libonig2_5.9.1-1_i386.deb) ...
Selecting previously deselected package libqdbm14.
Unpacking libqdbm14 (from .../libqdbm14_1.8.74-1.4_i386.deb) ...
Selecting previously deselected package mime-support.
Unpacking mime-support (from .../mime-support_3.48-1_all.deb) ...
Selecting previously deselected package php5-common.
Unpacking php5-common (from .../php5-common_5.3.2-1_i386.deb) ...
Selecting previously deselected package ucf.
Unpacking ucf (from .../archives/ucf_3.0025_all.deb) ...
Moving old data out of the way
Selecting previously deselected package php5-cli.
Unpacking php5-cli (from .../php5-cli_5.3.2-1_i386.deb) ...
Selecting previously deselected package php-pear.
Unpacking php-pear (from .../php-pear_5.3.2-1_all.deb) ...
Selecting previously deselected package cdbs.
Unpacking cdbs (from .../archives/cdbs_0.4.74_all.deb) ...
Selecting previously deselected package dh-make-php.
Unpacking dh-make-php (from .../dh-make-php_0.2.16_all.deb) ...
Processing triggers for man-db ...
Processing triggers for install-info ...
Setting up libmagic1 (5.04-1) ...
Setting up file (5.04-1) ...
Setting up html2text (1.3.2a-14) ...
Setting up libpcre3 (7.8-3) ...
Setting up libglib2.0-0 (2.22.4-1) ...
Setting up libxml2 (2.7.7.dfsg-1) ...
Setting up libcroco3 (0.6.2-1) ...
Setting up gettext-base (0.17-10) ...
Setting up gettext (0.17-10) ...
Setting up intltool-debian (0.35.0+20060710.1) ...
Setting up po-debconf (1.0.16) ...
Setting up debhelper (7.4.15) ...
Setting up libkeyutils1 (1.3-1) ...
Setting up libkrb5support0 (1.8+dfsg~alpha1-7) ...
Setting up libk5crypto3 (1.8+dfsg~alpha1-7) ...
Setting up libkrb5-3 (1.8+dfsg~alpha1-7) ...
Setting up libgssapi-krb5-2 (1.8+dfsg~alpha1-7) ...
Setting up libonig2 (5.9.1-1) ...
Setting up libqdbm14 (1.8.74-1.4) ...
Setting up mime-support (3.48-1) ...
Setting up php5-common (5.3.2-1) ...
Setting up ucf (3.0025) ...
Setting up php5-cli (5.3.2-1) ...

Creating config file /etc/php5/cli/php.ini with new version
update-alternatives: using /usr/bin/php5 to provide /usr/bin/php (php) in auto mode.
Setting up php-pear (5.3.2-1) ...
Setting up cdbs (0.4.74) ...
Setting up dh-make-php (0.2.16) ...
Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists... Done             
Building dependency tree       
Reading state information... Done
Reading extended state information... Done
Initializing package states... Done       
Writing extended state information... Done
Reading task descriptions... Done         

Current status: 0 broken [-1].
 -> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
aptitude is already the newest version.
The following NEW packages will be installed:
  fakeroot
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/117kB of archives.
After this operation, 451kB of additional disk space will be used.
Selecting previously deselected package fakeroot.
(Reading database ... 13453 files and directories currently installed.)
Unpacking fakeroot (from .../fakeroot_1.14.4-1_i386.deb) ...
Processing triggers for man-db ...
Setting up fakeroot (1.14.4-1) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode.
I: Copying back the cached apt archive contents
I: new cache content php5-cli_5.3.2-1_i386.deb added
I: new cache content libkeyutils1_1.3-1_i386.deb added
I: new cache content libqdbm14_1.8.74-1.4_i386.deb added
I: new cache content libonig2_5.9.1-1_i386.deb added
I: new cache content cdbs_0.4.74_all.deb added
I: new cache content php-pear_5.3.2-1_all.deb added
I: new cache content libxml2_2.7.7.dfsg-1_i386.deb added
I: new cache content php5-common_5.3.2-1_i386.deb added
I: Copying source file
I: copying [../build-area/php-log_1.12.0-1.dsc]
I: copying [../build-area/php-log_1.12.0.orig.tar.gz]
I: copying [../build-area/php-log_1.12.0-1.diff.gz]
I: Extracting source
dpkg-source: warning: extracting unsigned source package (php-log_1.12.0-1.dsc)
dpkg-source: info: extracting php-log in php-log-1.12.0
dpkg-source: info: unpacking php-log_1.12.0.orig.tar.gz
dpkg-source: info: applying php-log_1.12.0-1.diff.gz
I: Building the package
I: Running cd tmp/buildd/*/ && dpkg-buildpackage -us -uc  -rfakeroot
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value: 
dpkg-buildpackage: set LDFLAGS to default value: 
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package php-log
dpkg-buildpackage: source version 1.12.0-1
dpkg-buildpackage: source changed by Guillaume Delacour <gui@iroqwa.org>
dpkg-buildpackage: host architecture i386
 fakeroot debian/rules clean
test -x debian/rules
dh_testroot
dh_clean 
rm -f Log-*/package.xml
 dpkg-source -b php-log-1.12.0
dpkg-source: info: using source format `1.0'
dpkg-source: info: building php-log using existing php-log_1.12.0.orig.tar.gz
dpkg-source: info: building php-log in php-log_1.12.0-1.diff.gz
dpkg-source: info: building php-log in php-log_1.12.0-1.dsc
 debian/rules build
test -x debian/rules
mkdir -p "."
ln -f -s ../package.xml Log-1.12.0
 fakeroot debian/rules binary
test -x debian/rules
dh_testroot
dh_clean -k 
dh_installdirs -A 
mkdir -p "."
ln -f -s ../package.xml Log-1.12.0
# install everything in default locations
/usr/bin/pear \
		-c debian/pearrc \
		-d include_path=/usr/share/php \
		-d php_bin=/usr/bin/php \
		-d bin_dir=/usr/bin \
		-d php_dir=/usr/share/php \
		-d data_dir=/usr/share/php/data \
		-d doc_dir=/usr/share/php/docs \
		-d test_dir=/usr/share/php/tests \
		install --offline --nodeps -P /tmp/buildd/php-log-1.12.0/debian/php-log/ Log-1.12.0/package.xml
pear/Log can optionally use package "pear/DB" (version >= 1.3)
pear/Log can optionally use package "pear/MDB2" (version >= 2.0.0RC1)
pear/Log can optionally use package "pear/Mail"
pear/Log can optionally use PHP extension "sqlite"
install ok: channel://pear.php.net/Log-1.12.0
# move documentation to correct location
mkdir -p /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log
cp package.xml /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log
if [ -d /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/docs/Log ] ; then \
		mv -i /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/docs/Log/* /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log; \
		rmdir /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/docs/Log; \
		ln -s ../../doc/php-log /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/docs/Log; \
	fi ;
# create upstream changelog
/usr/share/dh-make-php/phppkginfo . changelog | gzip -9 > /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log/changelog.gz
# move test to correct location
# must move files instead of directory in case tests was part of docs above
if [ -d /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/tests/Log/tests ] ; then \
		mkdir -p /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log/tests ; \
		mv -i /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/tests/Log/tests/* /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log/tests ; \
		rmdir /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/tests/Log/tests ; \
		ln -s ../../../doc/php-log/tests /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/tests/Log/tests ; \
	fi ; \

# remove unwanted files
rm -f /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.filemap;
rm -f /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.lock;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.channels;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.depdblock;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.depdb;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.registry/.channel.pecl.php.net;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.registry/.channel.__uri;
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/doc/php-log/LICENSE \
		/tmp/buildd/php-log-1.12.0/debian/php-log//tmp
Adding cdbs dependencies to debian/php-log.substvars
dh_installdirs -pphp-log 
# pear.mk (from dh-make-php) does not remove this directory, bureport this (?)
rm -rf /tmp/buildd/php-log-1.12.0/debian/php-log/usr/share/php/.registry/.channel.doc.php.net/
# upstream example generate lintian 
dh_installdocs -pphp-log   
dh_installexamples -pphp-log 
dh_installman -pphp-log  
dh_installinfo -pphp-log  
dh_installmenu -pphp-log 
dh_installcron -pphp-log 
dh_installinit -pphp-log   
dh_installdebconf -pphp-log 
dh_installemacsen -pphp-log   
dh_installcatalogs -pphp-log 
dh_installpam -pphp-log 
dh_installlogrotate -pphp-log 
dh_installlogcheck -pphp-log 
dh_installchangelogs -pphp-log   
dh_installudev -pphp-log 
dh_lintian -pphp-log 
dh_install -pphp-log  
dh_link -pphp-log  
dh_installmime -pphp-log 
dh_strip -pphp-log  
dh_compress -pphp-log -X package.xml 
dh_fixperms -pphp-log  
dh_makeshlibs -pphp-log  
dh_installdeb -pphp-log 
dh_perl -pphp-log 
dh_shlibdeps -pphp-log    
dh_gencontrol -pphp-log  
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Enhances}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Conflicts}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Replaces}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Depends}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Recommends}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Suggests}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Breaks}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Provides}
dpkg-gencontrol: warning: unused substitution variable ${cdbs:Pre-Depends}
dh_md5sums -pphp-log 
dh_builddeb -pphp-log 
dpkg-deb: building package `php-log' in `../php-log_1.12.0-1_all.deb'.
 dpkg-genchanges  >../php-log_1.12.0-1_i386.changes
dpkg-genchanges: including full source code in upload
dpkg-buildpackage: full upload (original source is included)
I: Copying back the cached apt archive contents
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env 
I: removing directory /var/cache/pbuilder/build//9879 and its subdirectories
I: Current time: Wed Mar 24 20:42:47 UTC 2010
I: pbuilder-time-stamp: 1269463367
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Medeiros <debian@psabs.com.br>:
Bug#574671; Package php-log. (Sun, 04 Apr 2010 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Medeiros <debian@psabs.com.br>. (Sun, 04 Apr 2010 15:42:03 GMT) Full text and rfc822 format available.

Message #17 received at 574671@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Guillaume Delacour <gui@iroqwa.org>, 574671@bugs.debian.org
Subject: Re: Bug#574671: FTBFS: "/tmp/buildd/php5-5.3.2/pear-build-download" is not writeable
Date: Sun, 4 Apr 2010 17:36:03 +0200
[Message part 1 (text/plain, inline)]
On Wed, 24 Mar 2010 21:49:35 +0100, Guillaume Delacour wrote:

> I'm working #572265 on new upstream release 1.12.0 and i can't reproduce
> at the moment the problem either with 1.10.0 and 1.12.0 with pbuilder.

I took another look:
* The FTBFS happens, if I call pdebuild with --use-pdebuild-internal
  (which I did because I didn't have and didn't want dh-make-php and
  friends installed, and they are needed in the clean target).
* If I install all build-deps in my normal environment and use pdebuild
  without --use-pdebuild-internal it works.

Not sure if this is an issue in the package, in p/cowbuilder, in cdbs or in
dh-make-php ...

Cheers,
gregor
 
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Queen: Drowse
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'serious' Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 19:15:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'php-log' to 'php-pear'. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 19:42:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions php-log/1.10.0-1. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 19:42:06 GMT) Full text and rfc822 format available.

Merged 546164 574671. Request was from Guillaume Delacour <gui@iroqwa.org> to control@bugs.debian.org. (Thu, 03 Jun 2010 19:42:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://pear.php.net/bugs/18056'. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Sun, 14 Nov 2010 14:30:03 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Jun 2011 07:34:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:35:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.